#pragma once
#include "afxwin.h"


// CDlg_JobDetails dialog

class CDlg_JobDetails : public CDialog
{
	DECLARE_DYNAMIC(CDlg_JobDetails)

public:
	CDlg_JobDetails(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlg_JobDetails();

// Dialog Data
	enum { IDD = IDD_JOBDETAILS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	afx_msg void DisplayValuesForJobDetailsDlg();
	afx_msg void ReadInputsFromJobDetailsDlg();
	DECLARE_MESSAGE_MAP()
public:
	CEdit m_editPropertyFlatNameorNum;
	CEdit m_editPropertyLetter;
	CEdit m_editPropertyHouseNum;
	CEdit m_editPropertyStreet;
	CEdit m_editPropertyLocality;
	CEdit m_editPropertyDistrict;
	CEdit m_editPropertyTown;
	CEdit m_editPropertyCounty;
	CEdit m_editPropertyPostCode;
	CEdit m_editRefNum;
	CEdit m_editAssessorName;
	CEdit m_editComments;
	CEdit m_editClientFlatNameorNum;
	CEdit m_editClientLetter;
	CEdit m_editClientHouseorBlockNum;
	CEdit m_editClientStreet;
	CEdit m_editClientLocality;
	CEdit m_editClientDistrict;
	CEdit m_editClientTown;
	CEdit m_editClientCounty;
	CEdit m_editClientPostCode;
	CString str_editRefNum;
	CString str_editAssessorName;
	CString str_editComments;
	CString str_editPropertyFlatNameorNum;
	CString str_editPropertyLetter;
	CString str_editPropertyHouseNum;
	CString str_editPropertyStreet;
	CString str_editPropertyLocality;
	CString str_editPropertyDistrict;
	CString str_editPropertyTown;
	CString str_editPropertyCounty;
	CString str_editPropertyPostCode;
	CString str_editClientFlatNameorNum;
	CString str_editClientLetter;
	CString str_editClientHouseorBlockNum;
	CString str_editClientStreet;
	CString str_editClientLocality;
	CString str_editClientDistrict;
	CString str_editClientTown;
	CString str_editClientCounty;
	CString str_editClientPostCode;
	afx_msg void OnEnChangeEditRefnum();
	afx_msg void OnEnChangeEditAssessorname();
	afx_msg void OnEnChangeEditComments();
	afx_msg void OnEnChangeEditPropertyflatnumname();
	afx_msg void OnEnChangeEditPropertyletter();
	afx_msg void OnEnChangeEditPropertyhousenum();
	afx_msg void OnEnChangeEditPropertystreet();
	afx_msg void OnEnChangeEditPropertylocality();
	afx_msg void OnEnChangeEditPropertydistrict();
	afx_msg void OnEnChangeEditPropertytown();
	afx_msg void OnEnChangeEditPropertycounty();
	afx_msg void OnEnChangeEditPropertypostcode();
	afx_msg void OnEnChangeEditClientflatnumname();
	afx_msg void OnEnChangeEditClientletter();
	afx_msg void OnEnChangeEditClienthousenum();
	afx_msg void OnEnChangeEditClientstreet();
	afx_msg void OnEnChangeEditClientlocality();
	afx_msg void OnEnChangeEditClientdistrict();
	afx_msg void OnEnChangeEditClienttown();
	afx_msg void OnEnChangeEditClientcounty();
	afx_msg void OnEnChangeEditClientpostcode();	
	afx_msg void OnBnClickedButton1();
	afx_msg BOOL PreTranslateMessage(MSG* pMsg);
};


